Subject: Re: [RFC 00/12] net: huge page backed page_pool

From: Jakub Kicinski <[email-masked]>
Date: Thu, 13 Jul 2023 09:27:26 -0700

On Thu, 13 Jul 2023 12:07:06 +0200 Jesper Dangaard Brouer wrote:
> > For the ptr_ring I was considering bumping the refcount of pages
> > allocated from outside the 1G pool, so that they do not get recycled.
> > I deferred optimizing that until I can get some production results.
> > The extra CPU cost of loss of recycling could outweigh the IOTLB win.
> > 
> > All very exciting stuff, I wish the days were slightly longer :)
> 
> Know the problem of (human) cycles in a day.
> Rizzo's article describes a lot of experiments, that might save us/you 
> some time.

Speaking of saving time - if anyone has patches to convert mlx4 to page
pool I'd greatly appreciate!